Security Lab

PHP-инклюдинг в METAjour

Дата публикации:06.06.2006
Всего просмотров:2503
Опасность:
Высокая
Наличие исправления: Частично
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: METAjour 2.x
Уязвимые версии: METAjour 2.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "system_path" в различных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена.

Пример/Эксплоит: см. источник сообщения.

URL производителя: www.metajour.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: metajour 2.1 (system_path) - Remote File Include Vulnerabilities